Package Details: sudokuki 1.2.4-2

Git Clone URL: https://aur.archlinux.org/sudokuki.git (read-only)
Package Base: sudokuki
Description: A free graphical sudoku game written in Java
Upstream URL: http://sudokuki.sourceforge.net/
Licenses: GPL3
Submitter: djgera
Maintainer: rafaelff
Last Packager: rafaelff
Votes: 6
Popularity: 0.000952
First Submitted: 2009-03-02 02:43
Last Updated: 2016-06-27 19:45

Latest Comments

rafaelff commented on 2013-04-28 20:06

I might be wrong, but looks like it already entered the folder and already ran ./configure, but died in 'make' (see: error in execute all-recursive, part of Makefile).

Anyway, couldn't reproduce here.

mrbit commented on 2013-04-28 19:44

for me cd "${pkgname}-${pkgver}" so work...

mrbit commented on 2013-04-28 19:43

make: *** [all-recursive] Errore 1
==> ERROR: An error occurred in build ().

mrbit commented on 2013-04-28 19:42

sorry, strange : for me cd "${pkgname}-${pkgver}" so work...

rafaelff commented on 2013-04-28 19:39

What build error? If you mean whitespaces, $pkgname and $pkgver don't have it, differently of $srcdir that could have depending on the user.

mrbit commented on 2013-04-28 19:36

please change in the PKGBUILD for error build:
cd ${pkgname}-${pkgver} to
cd "${pkgname}-${pkgver}"
thanks

mrbit commented on 2013-02-12 08:10

ok, thanks

rafaelff commented on 2013-02-12 08:05

Ah, weird. Sometimes I run "rm -rf src/" to make sure the source code is clean for the next compilation, to avoid strange compilation errors. Maybe that's what you needed? Anyway, feel free to let me know if you run into problems with this package.

mrbit commented on 2013-02-12 07:56

thanks josephgbr
strange...!! today compila...??? mahaa !!!

rafaelff commented on 2013-02-12 06:40

Right, I wanted to verify if the java package was an influence at all, but looks like it is not.

Please provide the build log (makepkg with '-L') and the config.log in same folder as './configure'. Submit them in any pastebin site and then paste the URL for them in here.

mrbit commented on 2013-02-11 08:42

the problem is another:
in the directory: /sudokuki/src/sudokuki-1.1.8/src/classes/net/jankenpoi/sudokuki/generator/suexg/ not compila

mrbit commented on 2013-02-11 08:37

pacman -Qs java-environment
local/jdk7-openjdk 7.u9_2.3.4-1
Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs - SDK

pacman -Qs java-runtime
local/jre7-openjdk 7.u9_2.3.4-1
Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs -Full Java runtime environment - needed for executing
Java GUI and Webstart programs
local/jre7-openjdk-headless 7.u9_2.3.4-1
Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs - Minimal Java runtime - needed for executing non GUI
Java programs

rafaelff commented on 2013-02-11 08:00

What is the result of theses commands:

pacman -Qs java-environment
pacman -Qs java-runtime

mrbit commented on 2013-02-11 07:50

no compila....!!! idea ??
Error: Could not find class file for 'net.jankenpoi.sudokuki.generator.suexg.SuexgProxy'.
make[2]: *** [../../tmpjar/net/jankenpoi/sudokuki/generator/suexg/net_jankenpoi_sudokuki_generator_suexg_SuexgProxy.h] Errore 1
make[2]: *** Attesa dei processi non terminati....
echo timestamp > classnoinst.stamp
make[2]: Leaving directory `/tmp/yaourt-tmp-mrbit/aur-sudokuki/src/sudokuki-1.1.8/src/classes'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/yaourt-tmp-mrbit/aur-sudokuki/src/sudokuki-1.1.8/src'
make: *** [all-recursive] Errore 1

rafaelff commented on 2013-02-11 04:36

Updated to 1.1.8 - Thanks for the "heads up"

zwastik commented on 2013-02-09 02:08

new version 1.1.8

rafaelff commented on 2012-05-20 15:35

Yah, looks good. Nice work!

Anonymous comment on 2012-05-20 10:05

I think it would be better to compile a native version of the library.
So, I've updated the PKGBUILD and added 'java-environment' to makedepends. Fortunately, compilation doesn't take much time.

rafaelff commented on 2012-05-19 13:49

It seems "/usr/lib/libsuexg_proxy.so" is 32-bit. So, for x86_64 systems, lib32-glibc is a dependency.

Anonymous comment on 2012-05-04 02:59

Updated to 1.1.3.

djgera commented on 2011-07-08 00:07

Orphaned: newer versions (alpha) are based on Java.